Economy API POST Endpoints
Mafia Operations
Manage mafias, members, and finances.
Available actions:
create- create mafia (name, leaderId, leaderName, roleId, roleName, color)delete- delete mafia (mafiaId)addMoney- add money to mafia (mafiaId, amount)removeMoney- remove money from mafia (mafiaId, amount)withdraw- withdraw mafia money to user (mafiaId, amount, targetUserId)transfer- transfer between mafias (fromMafiaId, toMafiaId, amount, reason, authorId)addMember- add member (mafiaId, userId, username, position)removeMember- remove member (mafiaId, userId)
POST
Authorizations
API key for accessing CivOps endpoints.
Passed in the Authorization: Bearer <key> header.
REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).
Query Parameters
Operation type.
Available options:
create, delete, addMoney, removeMoney, withdraw, transfer, addMember, removeMember Body
application/json
The body is of type object.
Response
Operation successfully completed.
The response is of type object.